View Issue Details

IDProjectCategoryView StatusLast Update
0005768DarkRadiantMap Editingpublic13.10.2021 03:31
Reportergreebo Assigned Togreebo  
PrioritynormalSeveritynormalReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.14.0 
Target Version2.14.0Fixed in Version2.14.0 
Summary0005768: Adjust Surface Inspector Shift/Scale/Rotation boxes to comply with the new texturing algorithms
DescriptionThe scale and rotation buttons in the Surface Inspector have recently changed their behaviour to keep the center point of the face or patch in the same location.
The values in the Surface Inspector now wildly jump around, and I'm almost sure the calculations are not accurate anyway.
Yet, mappers are using those values to judge a scale or orientation of a texture on a surface, so we need to produce some values that remotely make sense and can be transferred to other faces, ideally.
TagsNo tags attached.

Relationships

related to 0005740 resolvedgreebo Step-rotating textures through the Surface Inspector should be using the center as pivot 
related to 0002272 resolvedgreebo Prevent Texture Tool "face jump" on rescaling textures 

Activities

There are no notes attached to this issue.

Related Changesets

DarkRadiant: master d894757d

2021-10-02 07:53:26

greebo

Details Diff
0005768: Reimplement the Face::getFakeTexCoords() method to display remotely meaningful values in the Surface Inspector Affected Issues
0005768
mod - radiant/ui/surfaceinspector/SurfaceInspector.cpp Diff File
mod - radiantcore/brush/Face.cpp Diff File
mod - radiantcore/map/format/primitiveparsers/BrushDef.cpp Diff File

DarkRadiant: master e14eabd4

2021-10-02 08:29:10

greebo

Details Diff
0005768: Adjust Face::setShiftScaleRotation to handle the values emitted by the Surface Inspector input fields Affected Issues
0005768
mod - radiantcore/brush/Face.cpp Diff File
mod - radiantcore/brush/Face.h Diff File
mod - radiantcore/brush/TexDef.cpp Diff File
mod - radiantcore/brush/TexDef.h Diff File

DarkRadiant: master ddbef7d8

2021-10-02 08:38:22

greebo

Details Diff
0005768: Swap a few buttons to reflect what the numbers are doing Affected Issues
0005768
mod - radiant/ui/surfaceinspector/SurfaceInspector.cpp Diff File

DarkRadiant: master b25e18f3

2021-10-12 18:16:44

greebo

Details Diff
0005768: Add unit tests asserting the expected values (red) Affected Issues
0005768
mod - test/TextureManipulation.cpp Diff File
mod - test/resources/tdm/maps/simple_brushes.map Diff File
mod - test/resources/tdm/materials/example.mtr Diff File

DarkRadiant: master d844e428

2021-10-12 18:32:26

greebo

Details Diff
0005768: Adjust IFace::getShiftScaleRotation() method to take the texture dimensions into account Affected Issues
0005768
mod - radiantcore/brush/Face.cpp Diff File
mod - radiantcore/brush/TextureMatrix.cpp Diff File
mod - radiantcore/brush/TextureMatrix.h Diff File
mod - radiantcore/brush/TextureProjection.cpp Diff File
mod - radiantcore/brush/TextureProjection.h Diff File

DarkRadiant: master 72c12721

2021-10-13 03:27:35

greebo

Details Diff
0005768: Adjust IFace::setShiftScaleRotation() method to behave the same as in previous releases. Affected Issues
0005768
mod - radiantcore/brush/Face.cpp Diff File
mod - radiantcore/brush/TextureProjection.cpp Diff File
mod - radiantcore/brush/TextureProjection.h Diff File

Issue History

Date Modified Username Field Change
02.10.2021 07:03 greebo New Issue
02.10.2021 07:03 greebo Relationship added related to 0005740
02.10.2021 07:03 greebo Relationship added related to 0002272
02.10.2021 07:03 greebo Assigned To => greebo
02.10.2021 07:03 greebo Status new => assigned
02.10.2021 08:42 greebo Changeset attached => DarkRadiant master d894757d
02.10.2021 08:42 greebo Changeset attached => DarkRadiant master e14eabd4
02.10.2021 08:42 greebo Changeset attached => DarkRadiant master ddbef7d8
08.10.2021 10:26 greebo Target Version => 2.14.0
08.10.2021 10:26 greebo Status assigned => resolved
08.10.2021 10:26 greebo Resolution open => fixed
08.10.2021 10:26 greebo Fixed in Version => 2.14.0
12.10.2021 18:36 greebo Changeset attached => DarkRadiant master b25e18f3
12.10.2021 18:36 greebo Changeset attached => DarkRadiant master d844e428
13.10.2021 03:31 greebo Changeset attached => DarkRadiant master 72c12721